Skip to main content
PATCH
/
v1
/
workflows
/
{workflowID}
/
canary
Update canary traffic
curl --request PATCH \
  --url https://api.strait.dev/v1/workflows/{workflowID}/canary \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "traffic_pct": 123
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "project_id": "<string>",
  "source_version": 123,
  "status": "<string>",
  "target_version": 123,
  "traffic_pct": 123,
  "updated_at": "2023-11-07T05:31:56Z",
  "workflow_id": "<string>",
  "$schema": "<string>",
  "auto_promote_config": "<unknown>",
  "completed_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.strait.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Path Parameters

workflowID
string
required

Body

application/json
traffic_pct
integer<int64>
required

Response

OK

created_at
string<date-time>
required
id
string
required
project_id
string
required
source_version
integer<int64>
required
status
string
required
target_version
integer<int64>
required
traffic_pct
integer<int64>
required
updated_at
string<date-time>
required
workflow_id
string
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://api.strait.dev/schemas/CanaryDeployment.json"

auto_promote_config
any
completed_at
string<date-time>